%define url	http://download.sourceforge.net/swig/

Name:		swig
Summary:	Simplified Wrapper and Interface Generator (SWIG)
Version:	1.3.19
Release:	1mdk
License:	BSD-like
Group:		Development/Perl
URL:		http://www.swig.org/

Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
#Patch0: swig-1.3.11-fix-detect-php.patch.bz2
#Patch1: swig-1.3.11-fix-oinit-php.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%version-root
BuildRequires: bison
BuildRequires: python-devel perl-devel ruby-devel kaffe-devel guile-devel php php-devel

%description
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

%package devel
Summary:	Header files and libraries for developing apps which will use %{name}
Group:		Development/C
Requires:	%{name}

%description devel
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

Install the %{name}-devel package if you want to develop applications that
will use the %{name} library.


%prep
%setup -q -n SWIG-%{version}
#%patch0 -p0
#%patch1 -p0

%build
%configure
make
make runtime

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall install-lib install-main install-runtime BIN_DIR=%{buildroot}/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_includedir}
#install -m655 ./Source/Swig/swig.h $RPM_BUILD_ROOT/%{_includedir}
install -m655 ./Source/DOH/doh.h $RPM_BUILD_ROOT/%{_includedir}
# for the Makefiles in Examples/
ln -sf %{_bindir}/%{name} %{name}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,755)
%doc CHANGES LICENSE README Examples %{name}
%{_bindir}/*
%{_libdir}/*so*
%{_libdir}/%{name}*

%files devel
%defattr(-,root,root)
%doc LICENSE Doc
%{_includedir}/*
%{_libdir}/*a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3.19-1mdk
- 1.3.19
- drop Patch0 & Patch1 (merged upstream)
- don't manually install swig.h anymore(it automatically get's installed now)
- change path to doh.h to install from
- updated documentation (drop VERSION, no longer exists, include devel docs for
  devel package)
- fix library-without-ldconfig-post*

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.11-4mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.11-3mdk
- Automated rebuild with gcc3.2

* Mon Feb 18 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.11-2mdk
- add patch #1 from Sam Liddicott <sam.liddicott@ananova.com> to fix php

* Sun Feb  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.11-1mdk
- new version
  - remove patch #0 to detect Ruby, no more needed
  - adds support for php which needs a patch for detection of location
  - no more needed to specify hard paths for python and tcl
- fix invalid-url
- fix invalid-license (BSD-like seemed the most appropriate)

* Fri Jun 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3a5-1mdk
- new version so that we get Ruby support
- tcl and python will re-work
- include Examples

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.3a3-2mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3a3-1mdk
- BM.
- Clean up specs.
- 1.3a3.

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1p5-5mdk
- Use makeinstall macros.

* Mon Apr 10 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1p5-4mdk

- Provides: swig

* Mon Apr  3 2000 Pixel <pixel@mandrakesoft.com> 1.1p5-3mdk
- rebuild with new perl
- cleanup

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1p5-2mdk

- Rebuilt on kenobi
- Don't use prefix

* Fri Mar 10 2000 Francis Galiegue <francis@mandrakesoft.com> 1.1p5-1mdk
- First RPM for Mandrake

